import request from '@/utils/request'

// 查询物料入库明细列表
export function listMaterialPutawayInfo(query) {
  return request({
    url: '/business/materialPutawayInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物料入库明细详细
export function getMaterialPutawayInfo(id) {
  return request({
    url: '/business/materialPutawayInfo/' + id,
    method: 'get'
  })
}

// 新增物料入库明细
export function addMaterialPutawayInfo(data) {
  return request({
    url: '/business/materialPutawayInfo',
    method: 'post',
    data: data
  })
}

// 修改物料入库明细
export function updateMaterialPutawayInfo(data) {
  return request({
    url: '/business/materialPutawayInfo',
    method: 'put',
    data: data
  })
}

// 删除物料入库明细
export function delMaterialPutawayInfo(id) {
  return request({
    url: '/business/materialPutawayInfo/' + id,
    method: 'delete'
  })
}
